> ## Documentation Index
> Fetch the complete documentation index at: https://mtaapi.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get PATH arrivals for NJ stations

> Get realtime PATH arrivals from PANYNJ RidePATH data, scoped to New Jersey PATH stations.



## OpenAPI

````yaml /openapi.json get /api/v1/path/arrivals
openapi: 3.1.2
info:
  title: MTA API
  description: Managed, API-key protected access to MTA realtime and static data.
  version: 0.1.0
servers:
  - url: https://www.mtaapi.dev
    description: Production
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: subway
    description: Subway realtime data
  - name: bus
    description: BusTime realtime data
  - name: path
    description: PATH realtime arrivals for New Jersey stations
  - name: nj-transit-rail
    description: NJ Transit RailData realtime data
  - name: nyc-ferry
    description: NYC Ferry GTFS and GTFS-Realtime data
  - name: citi-bike
    description: Citi Bike GBFS station and service data
  - name: lirr
    description: Long Island Rail Road GTFS and GTFS-Realtime data
  - name: metro-north
    description: Metro-North Railroad GTFS and GTFS-Realtime data
  - name: alerts
    description: Service alerts
  - name: stops
    description: Route-aware static GTFS stop lookup
  - name: system
    description: Health and database status
paths:
  /api/v1/path/arrivals:
    get:
      tags:
        - path
      summary: Get PATH arrivals for NJ stations
      description: >-
        Get realtime PATH arrivals from PANYNJ RidePATH data, scoped to New
        Jersey PATH stations.
      operationId: getApiV1PathArrivals
      parameters:
        - name: station
          in: query
          required: false
          schema:
            minLength: 1
            description: >-
              Optional NJ PATH station code, GTFS id, or name. Supported codes:
              NWK,HAR,JSQ,GRV,NEW,EXP,HOB.
            type: string
        - name: route
          in: query
          required: false
          schema:
            minLength: 1
            description: Optional PATH route id, such as NWK-WTC or JSQ-33-HOB.
            type: string
        - name: direction
          in: query
          required: false
          schema:
            type: string
            enum:
              - to-ny
              - to-nj
              - east
              - west
        - name: limit
          in: query
          required: false
          schema:
            minimum: 1
            maximum: 100
            type: number
        - name: includeRaw
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - mode
                    - route
                    - stop
                    - direction
                    - arrivalTime
                    - minutes
                    - realtime
                    - source
                  properties:
                    mode:
                      const: path
                      type: string
                    route:
                      type: object
                      required:
                        - id
                      properties:
                        id:
                          type: string
                        gtfsId:
                          type: string
                        shortName:
                          type: string
                        longName:
                          type: string
                        type:
                          type: number
                        color:
                          type: string
                        textColor:
                          type: string
                    stop:
                      type: object
                      required:
                        - id
                        - name
                        - displayName
                        - state
                        - mode
                      properties:
                        id:
                          type: string
                        gtfsId:
                          type: string
                        name:
                          type: string
                        displayName:
                          type: string
                        lat:
                          type: number
                        lon:
                          type: number
                        state:
                          const: NJ
                          type: string
                        mode:
                          const: path
                          type: string
                    direction:
                      type: string
                      enum:
                        - north
                        - south
                        - east
                        - west
                        - unknown
                        - uptown
                        - downtown
                    destination:
                      type: string
                    displayDirection:
                      type: string
                    headsign:
                      type: string
                    arrivalTime:
                      type: string
                    minutes:
                      type: number
                    realtime:
                      type: boolean
                    source:
                      type: string
                    raw: {}
      x-codeSamples:
        - lang: typescript
          label: mta-js
          source: >-
            import { MTA } from "mta-js";

            const mta = new MTA({ apiKey: process.env.MTA_API_KEY });

            const data = await mta.path.arrivals({ station: "JSQ", direction:
            "to-ny" });
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.